# file      : build/abspath.make
# author    : Boris Kolpackov <boris@kolpackov.net>
# copyright : Copyright (c) 2004-2009 Boris Kolpackov
# license   : GNU GPL v2; see accompanying LICENSE file

.PHONY: FORCE

%:: FORCE
	@echo $(abspath $@)

$(MAKEFILE_LIST):: ;@:

# Remove all default rules.
#
.SUFFIXES:

ifeq ($(filter -r,$(MAKEFLAGS)),)
MAKEFLAGS += -r
endif
